跳转到主要内容
资源中心/硬件设施/主存储相关接口/Shared Block主存储相关接口
GETShared Block Primary Storage Operations起始版本 2.3.2同步需要认证

查询共享块设备

查询共享块设备

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • uuidString必填

      资源的UUID,唯一标示该资源

    • sharedBlockGroupUuidString必填

      共享块设备组UUID

    • diskUuidString必填

      磁盘唯一标示(例如UUID, WWN, WWID)

    • nameString必填

      资源名称

    • descriptionString必填

      资源的详细描述

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • typeSharedBlockType必填

      详情参考type

      • nameString必填

        资源名称

      • ordinalint必填

        暂无描述。

    • stateSharedBlockState必填

      详情参考state

      • nameString必填

        资源名称

      • ordinalint必填

        暂无描述。

    • statusSharedBlockStatus必填

      详情参考status

      • nameString必填

        资源名称

      • ordinalint必填

        暂无描述。

请求地址

GET/zstack/v1/sharedblock-group/sharedblocks

/zstack/v1/sharedblock-group/sharedblocks

操作 ID

QuerySharedBlock

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/sharedblock-group/sharedblocks' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "uuid": "3787d759b8323d2e8f0b19ef0bfe930b", "sharedBlockGroupUuid": "0dcfcb85f7613689886ae34114064cbd", "type": "LvmLogicalVolumeBasic", "name": "test shared block", "description": "description", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史